org.apache.sling.jcr.jackrabbit.server.impl

## Class SlingServerRepositoryManager

- java.lang.Object
- - org.apache.sling.jcr.base.NamespaceMappingSupport
  - - org.apache.sling.jcr.base.AbstractSlingRepositoryManager
    - - org.apache.sling.jcr.jackrabbit.server.impl.SlingServerRepositoryManager

    @Reference(name="namespaceMapper",
               referenceInterface=org.apache.sling.jcr.api.NamespaceMapper.class,
               cardinality=OPTIONAL_MULTIPLE,
               policy=DYNAMIC)
    @Properties(value={@Property(name="service.vendor",value="The Apache Software Foundation"),@Property(name="service.description",value="Factory for embedded Jackrabbit Repository Instances")})
    public class SlingServerRepositoryManager
    extends org.apache.sling.jcr.base.AbstractSlingRepositoryManager

The `SlingServerRepository` creates and configures `Jackrabbit` repository instances.

### Field Summary

Fields
`static String` `DEFAULT_ADMIN_USER`
`static boolean` `DEFAULT_LOGIN_ADMIN_ENABLED`
`static String` `PROPERTY_ADMIN_USER`
`static String` `PROPERTY_DEFAULT_WORKSPACE`
`static String` `PROPERTY_LOGIN_ADMIN_ENABLED`
`static String` `REPOSITORY_CONFIG_URL` The name of the configuration property defining the URL to the repository configuration file (value is "config").
`static String` `REPOSITORY_HOME_DIR` The name of the configuration property defining the file system directory where the repository files are located (value is "home").
`static String` `REPOSITORY_REGISTRATION_NAME`

### Constructor Summary

Constructors
Constructor and Description
`SlingServerRepositoryManager()`

### Method Summary

Methods
`protected javax.jcr.Repository` `acquireRepository()`
`protected org.apache.sling.jcr.base.AbstractSlingRepository2` `create(org.osgi.framework.Bundle usingBundle)`
`protected void` `destroy(org.apache.sling.jcr.base.AbstractSlingRepository2 repositoryServiceInstance)`
`protected void` `disposeRepository(javax.jcr.Repository repository)`
`protected org.osgi.service.component.ComponentContext` `getComponentContext()`
`protected org.apache.sling.jcr.api.NamespaceMapper[]` `getNamespaceMapperServices()`
`protected String[]` `getServiceRegistrationInterfaces()` Returns the Jackrabbit `RepositoryManager` interface implemented by the Jackrabbit Repository in addition to the `SlingRepository` and `Repository` interfaces implemented by the base class.
`protected Dictionary<String,Object>` `getServiceRegistrationProperties()`
`protected org.apache.sling.serviceusermapping.ServiceUserMapper` `getServiceUserMapper()`

### Methods inherited from class org.apache.sling.jcr.base.AbstractSlingRepositoryManager

`getDefaultWorkspace, getRepository, isDisableLoginAdministrative, registerService, start, stop, unregisterService`

### Methods inherited from class org.apache.sling.jcr.base.NamespaceMappingSupport

`getNamespaceAwareSession, setup, tearDown`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### REPOSITORY_CONFIG_URL

    @Property(value="")
    public static final String REPOSITORY_CONFIG_URL

The name of the configuration property defining the URL to the repository configuration file (value is "config").

If the configuration file is located in the local file system, the "file:" scheme must still be specified.

This parameter is mandatory for this activator to start the repository.

See Also:
  Constant Field Values

#### REPOSITORY_HOME_DIR

    @Property(value="")
    public static final String REPOSITORY_HOME_DIR

The name of the configuration property defining the file system directory where the repository files are located (value is "home").

This parameter is mandatory for this activator to start the repository.

See Also:
  Constant Field Values

#### REPOSITORY_REGISTRATION_NAME

    @Property(value="")
    public static final String REPOSITORY_REGISTRATION_NAME

See Also:
  Constant Field Values

#### DEFAULT_LOGIN_ADMIN_ENABLED

    public static final boolean DEFAULT_LOGIN_ADMIN_ENABLED

See Also:
  Constant Field Values

#### PROPERTY_DEFAULT_WORKSPACE

    @Property
    public static final String PROPERTY_DEFAULT_WORKSPACE

See Also:
  Constant Field Values

#### PROPERTY_LOGIN_ADMIN_ENABLED

    @Property(boolValue=true)
    public static final String PROPERTY_LOGIN_ADMIN_ENABLED

See Also:
  Constant Field Values

#### DEFAULT_ADMIN_USER

    public static final String DEFAULT_ADMIN_USER

See Also:
  Constant Field Values

#### PROPERTY_ADMIN_USER

    @Property(value="admin")
    public static final String PROPERTY_ADMIN_USER

See Also:
  Constant Field Values

### Constructor Detail

#### SlingServerRepositoryManager

    public SlingServerRepositoryManager()

### Method Detail

#### acquireRepository

    protected javax.jcr.Repository acquireRepository()

Specified by:
  `acquireRepository` in class `org.apache.sling.jcr.base.AbstractSlingRepositoryManager`

#### getServiceRegistrationProperties

    protected Dictionary<String,Object> getServiceRegistrationProperties()

Specified by:
  `getServiceRegistrationProperties` in class `org.apache.sling.jcr.base.AbstractSlingRepositoryManager`

#### getServiceRegistrationInterfaces

    protected String[] getServiceRegistrationInterfaces()

Returns the Jackrabbit `RepositoryManager` interface implemented by the Jackrabbit Repository in addition to the `SlingRepository` and `Repository` interfaces implemented by the base class.

Overrides:
  `getServiceRegistrationInterfaces` in class `org.apache.sling.jcr.base.AbstractSlingRepositoryManager`
Since:
  bundle version 2.2.0 replacing the previously overwriting of the now final `AbstractSlingRepository.registerService` method.

#### create

    protected org.apache.sling.jcr.base.AbstractSlingRepository2 create(org.osgi.framework.Bundle usingBundle)

Specified by:
  `create` in class `org.apache.sling.jcr.base.AbstractSlingRepositoryManager`

#### destroy

    protected void destroy(org.apache.sling.jcr.base.AbstractSlingRepository2 repositoryServiceInstance)

Specified by:
  `destroy` in class `org.apache.sling.jcr.base.AbstractSlingRepositoryManager`

#### getNamespaceMapperServices

    protected org.apache.sling.jcr.api.NamespaceMapper[] getNamespaceMapperServices()

Specified by:
  `getNamespaceMapperServices` in class `org.apache.sling.jcr.base.NamespaceMappingSupport`

#### getServiceUserMapper

    protected org.apache.sling.serviceusermapping.ServiceUserMapper getServiceUserMapper()

Specified by:
  `getServiceUserMapper` in class `org.apache.sling.jcr.base.AbstractSlingRepositoryManager`

#### disposeRepository

    protected void disposeRepository(javax.jcr.Repository repository)

Specified by:
  `disposeRepository` in class `org.apache.sling.jcr.base.AbstractSlingRepositoryManager`

#### getComponentContext

    protected org.osgi.service.component.ComponentContext getComponentContext()